{ config, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./networking.nix

    ../../../modules
  ];

  boot.loader.grub.devices = [ "/dev/sda" ];

  networking.hostName = "apprentix";

  security.sudo.extraRules = [
    {
      groups = [ "_user" ];
      commands = [ "ALL" ];
    }
  ];

  sops.secrets.root-passwd-hash = {
    sopsFile = ../../../secrets/apprentix.yaml;
  };

  users.users.root = {
    hashedPasswordFile = config.sops.secrets.root-passwd-hash.path;
  };

  system.stateVersion = "24.11";
}
